Bug Hunting Session
Bug 122269 - CRASH: Closing LibreOffice after installing an extension with the extension manager open
Summary: CRASH: Closing LibreOffice after installing an extension with the extension m...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-12-21 17:05 UTC by Xisco Faulí
Modified: 2018-12-28 06:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SfxBroadcaster::Broadcast(SfxHint const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-21 17:05:24 UTC
Steps to reproduce:
1. Open LibreOffice
2. Install an extension ( e.g.  http://calc-info.de/files/BasicAddonBuilder_LibreOffice_0.5.2.oxt )
3. Once the extension is installed, DO NOT CLOSE the extension manager.
4. Close LibreOffice -> Restart dialog is prompted
5. Click on restart now

-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 7d63c700c36afd27850346e42b92768f084f5d4d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-21 17:08:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=db1726216ba200c8a55c23a9d8c2ffd2066263a7

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-12-29 00:52:09 +0100
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-12-29 18:22:05 +0000
commit	db1726216ba200c8a55c23a9d8c2ffd2066263a7 (patch)
tree	d9cb2af69b5a0b160b0c5cbf1513b532d735846b
parent	20528001b5f4a652889860583bbc95861d8f8129 (diff)
process all outstanding events before shutdown, tdf#104969, tdf#104286, tdf#104399

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Markus Mohrhard
Comment 2 Xisco Faulí 2018-12-21 17:08:52 UTC
@Caolán, I thought you could be interested in this issue...
Comment 3 Caolán McNamara 2018-12-23 20:05:00 UTC
the prompt to restart comes from the close of that dialog, in this case the close is not from the user, but from the app shutdown. Looks to me that if we call clearModified in queryTermination which happens on app shutdown then the dialog won't appear and the problem doesn't arise
Comment 4 Commit Notification 2018-12-23 21:24:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f877d2882e4d257136ef2de901ff4f71b71916bd%5E%21

tdf#122269 don't prompt to restart if we're exiting the application anyway

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-12-23 21:26:23 UTC
that seems sane to me, backport to 6-2 in gerrit
Comment 6 Xisco Faulí 2018-12-24 13:29:26 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 9520378e37b97b0a44130c86be482060465b479e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 7 Commit Notification 2018-12-28 06:36:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/14f827ee132e06fbd4131df2ba4141715db4caab%5E%21

tdf#122269 don't prompt to restart if we're exiting the application anyway

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-28 06:38:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/a93713359265a9a1403c744e467eb5faa09cc747%5E%21

tdf#122269 don't prompt to restart if we're exiting the application anyway

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.